Name:           mythes
Version:        1.2.2
Release:        %mkrel 1
Summary:        A thesaurus library
License:        BSD
Group:          System/Internationalization 
URL:            http://hunspell.sourceforge.net/
Source0:        http://downloads.sourceforge.net/hunspell/%{name}-%{version}.tar.gz

BuildRequires:  hunspell-devel
BuildRequires:  autoconf
BuildRequires:  gettext-devel

%description
MyThes is a simple thesaurus that uses a structured text data file and an
index file with binary search to look up words and phrases and return 
information on part of speech, meanings, and synonyms.


%package devel
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Summary:        Files for developing with %{name}
Group:          Development/C++

%description devel
Includes and definitions for developing with %{name}


%prep
%setup -q

%build
# touch NEWS because it is missing to do the auto reconf properly
touch NEWS
autoreconf -fi
%configure --disable-rpath --disable-static
%makeinstall_std

%check
./example th_en_US_new.idx th_en_US_new.dat checkme.lst
./example morph.idx morph.dat morph.lst morph.aff morph.dic

%install
make DESTDIR=%{buildroot} install
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
mkdir -p %{buildroot}%{_datadir}/%{name}

%files
%doc README COPYING AUTHORS
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%doc data_layout.txt
%{_includedir}/%{name}.hxx
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/th_gen_idx.pl


%changelog

* Tue Jan 10 2012 kamil <kamil> 1.2.2-1.mga2
+ Revision: 194409
- fix group of the devel package
- fix group
- new version
- drop patch rhbz675806.patch (merged upstream)
- clean spec

* Thu Mar 24 2011 boklm <boklm> 1.2.1-3.mga1
+ Revision: 76194
- rebuild for bug #497

* Sat Mar 12 2011 dmorgan <dmorgan> 1.2.1-2.mga1
+ Revision: 68372
- Add a fedora patch: (Resolves: rhbz#675806 fix crash if thesarus is busted)

* Sun Jan 23 2011 dmorgan <dmorgan> 1.2.1-1.mga1
+ Revision: 35239
- Add gettext-devel as buildrequires
- Adapt to mageia
- imported package mythes


* Mon Jun 21 2010 Caolán McNamara <caolanm@redhat.com> - 1.2.1-1
- latest version

* Thu Mar 11 2010 Caolán McNamara <caolanm@redhat.com> - 1.2.0-1
- initial version
